libcloud-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From GitBox <...@apache.org>
Subject [GitHub] [libcloud] c-w opened a new pull request #1332: [GH-1322] Detect broken `yum install python-requests`
Date Fri, 02 Aug 2019 23:01:56 GMT
c-w opened a new pull request #1332: [GH-1322] Detect broken `yum install python-requests`
URL: https://github.com/apache/libcloud/pull/1332
 
 
   ## Detect issues with libcloud and python-requests on RHEL 7
   
   ### Description
   
   As discussed in https://github.com/apache/libcloud/issues/1322, libcloud breaks when used
on RHEL 7.6 with requests installed from yum instead of PyPI. In order to prevent user confusion,
this pull request introduces a check for this environment state and provides guidance for
the user on how to correctly set up their system for libcloud to function.
   
   Resolves https://github.com/apache/libcloud/issues/1322
   
   ### Status
   
   - done, ready for review
   
   ### Checklist (tick everything that applies)
   
   - [x] [Code linting](http://libcloud.readthedocs.org/en/latest/development.html#code-style-guide)
([build passed](https://travis-ci.org/CatalystCode/libcloud/builds/567156431))
   - [ ] Documentation
   - [ ] [Tests](http://libcloud.readthedocs.org/en/latest/testing.html)
   - [x] [ICLA](http://libcloud.readthedocs.org/en/latest/development.html#contributing-bigger-changes)
(required for bigger changes)
   

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
users@infra.apache.org


With regards,
Apache Git Services

Mime
View raw message